Subject: RE: [mobile-ip] Protocol Decision Fixed?

From: "Glenn Morrow" <[email-masked]>
Date: Tue, 1 May 2001 11:28:57 -0500

I agree

-----Original Message-----
From: Pat Calhoun [mailto:[email-masked]]
Sent: Friday, April 27, 2001 9:03 AM
To: [email-masked]
Subject: Re: [mobile-ip] Protocol Decision Fixed?

On Fri, Apr 27, 2001 at 09:03:40AM -0400, Phil Roberts wrote:
> Hi,
> 
> In the interest of progress it's probably not a good idea to be constantly
> revisiting which drafts are working group items.  Some questions
> should be asked "What is different now from when we made the decision?"
> or "What do we know now that we didn't know when we made the decision?" or
> "What requirements have changed since we made the decision?"  
> How to proceed is based on working group consensus.
> 
and if consistuents believe that a simpler approach, which may be radically
different from existing proposals, would be better, and still meet the
requirements, should we ignore them?

I think not.

To be honest, this recent requirements gathering process, which consisted
primarily of the I-D authors anyways, was sort-of a backwards approach. I
think that the WG should be open to starting the process from scratch, 
gathering the requirements and documenting them, and then allow people
to contribute their protocol of choice.

I think that limiting contributions to existing proposals is the wrong
approach.

my 2 cents,

PatC

---

From: Phil Roberts <[email-masked]>
Date: Tue, 1 May 2001 13:47:10 -0400

Hi,

   a lot of good stuff snipped.  Just to comment on a couple of points.

Phil

> >"What is different now from when we made the decision?" or
> >"What do we know now that we didn't know when we made the decision?" 
> 
> 1) People are paying attention. They were not when the 
> desision was made.
> The volume of traffic on this issue, even if most was 
> generated by a few
> highly interested participants, has been quite large in the last
> few weeks. This is an indication that there is much interest in the
> protocol, which was not the case last summer.

I would agree with this assessment.

> 
> 2) Some of the requirements that have been brought up by interested
> participants are difficult or not possible to satisfy with the
> working group draft. While it may be possible to modify the working
> group draft to match the requirements, it seems only fair to open
> up the protocol decision to other ideas that might better match
> the requirements, rather than requiring a retrofit.

Could you spell this out some more?  And are there requirements that are not
being discussed because the working group already has one draft as a working
group item?
> My suggestion is to open up the protocol selection phase, allow PhilN
> to submit his draft.
Anybody is free at any time to present a draft of a proposed solution.  It's
up to the presenter to make the case that this should be pursued by the
working group and up to the working group to decide what it wants to do.

We do want to reduce churn, but the traffic on this topic indicates that
there are members of the working group open to reconsidering the protocol
choice.